﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.GGTool.Common
{
    public class GGException : Exception
    {
        public string GGResponse { get; set; }

        public GGException()
            :base()
        {
            
        }

        public GGException(string msg)
            : base(msg)
        {

        }

        public GGException(string msg, Exception ex)
            :base(msg, ex)
        {
            
        }

        public GGException(string msg, string ggResponse)
            : base(msg)
        {
            GGResponse = ggResponse;
        }

        public GGException(string msg, Exception ex, string ggResponse)
            : base(msg, ex)
        {
            GGResponse = ggResponse;
        }
    }
}
